/*
**  This file is part of Vidalia, and is subject to the license terms in the
**  LICENSE file, found in the top level directory of this distribution. If you
**  did not receive the LICENSE file with this file, you may obtain it from the
**  Vidalia source package distributed by the Vidalia Project at
**  http://www.vidalia-project.net/. No part of Vidalia, including this file,
**  may be copied, modified, propagated, or distributed except according to the
**  terms described in the LICENSE file.
*/

/*
** \file licensedialog.cpp
** \version $Id: licensedialog.cpp 3133 2008-09-22 02:55:25Z edmanm $
** \brief Displays HTML-formatted license information for Vidalia and related
** software.
*/

#include <QFile>
#include <QString>

#include "licensedialog.h"


LicenseDialog::LicenseDialog(QWidget *parent)
  : QDialog(parent)
{
  ui.setupUi(this);

  ui.txtLicense->setHtml(loadHtml(":/docs/license.html"));
  ui.txtCredits->setHtml(loadHtml(":/docs/credits.html"));
}

QString
LicenseDialog::loadHtml(const QString &source) const
{
  QFile file(source);
  if (! file.open(QIODevice::ReadOnly | QIODevice::Text))
    return QString();
  return QString(file.readAll());
}

